velero:
  labels: {}
  resources: {}
    # requests:
    #   cpu:
    #   memory:
    # limits:
    #   cpu:
    #   memory:
  initContainers:
    - name: velero-plugin-for-aws
      image: velero/velero-plugin-for-aws:v1.10.0
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - mountPath: /target
          name: plugins
  
  # The number of seconds to allow for graceful termination of the pod. Optional.
  terminationGracePeriodSeconds: 3600
  tolerations: []
  affinity: {}
  nodeSelector: {}
  metrics:
    enabled: true
    scrapeInterval: 30s
    scrapeTimeout: 15s
  
  configuration:
    backupStorageLocation:
      - name: default
        provider: aws
        bucket: buckbucket
        config:
          region: us-east-1
          s3ForcePathStyle: true
          s3Url: "http://minio.minio.svc.cluster.local:9000"
    volumeSnapshotLocation:
      - name: default
        provider: velero.io/aws
        config:
          region: us-east-1
          profile: default
          # bucket: buckbucket
          # s3ForcePathStyle: true
          # s3Url: "http://minio.minio.svc.cluster.local:9000"
          # multiPartChunkSize: 100Mi
          # restApiTimeout: 90s
    logFormat: json
    logLevel: warning
  
  credentials:
    useSecret: true
    secretContents:
      cloud: |
        [default]
        aws_access_key_id = xxxxx
        aws_secret_access_key = xaxqxqxqxq
    # existingSecret: velero-s3-key
  
  schedules:
    hourly:
      schedule: '*/2 * * * *'
      useOwnerReferencesInBackup: false
      template:
        ttl: "168h" # 1week
        includedNamespaces:
          - mysql
        # excludedNamespaces:
        #   - xaxaxa
        # includedResources:
        #   - '*'
        # excludedResources:
        #   - storageclasses.storage.k8s.io


